<?php
$sub_menu = "777900";
include_once('./_common.php');
include_once(G5_ADMIN_PATH.'/admin.lib.php');

auth_check($auth[$sub_menu], "w");

check_token();

$mb_id      = $_POST['mb_id'];
$po_point   = $_POST['po_point'];
$po_content = $_POST['po_content'];

$mb = get_member($mb_id);

if (!$mb['mb_id'])
    alert("존재하는 회원아이디가 아닙니다.", "./point.list.php?$qstr"); 

if (($po_point < 0) && ($po_point * (-1) > (int)$mb['mb_7']))
    alert("AP를 깎는 경우 현재 AP보다 작으면 안됩니다.", "./point.list.php?$qstr");


// 마일리지 건별 생성
$rel_action = '@passive_'.G5_TIME_YMDHIS;
$sql = " insert into {$g5['amina_mileage']}
            set mb_id = '{$mb['mb_id']}',
                from_id = '{$member['mb_id']}',
				po_datetime = '".G5_TIME_YMDHIS."',
                po_content = '".addslashes($po_content)."',
                po_point = '$po_point',
                po_rel_table = '@passive',
                po_rel_id = '{$member['mb_id']}',
                po_rel_action = '$rel_action' ";
sql_query($sql);

// 마일리지 내역의 합을 구하고
$sql = " select sum(po_point) as sum_po_point from {$g5['amina_mileage']} where mb_id = '{$mb['mb_id']}' ";
$row = sql_fetch($sql);
$sum_point = $row['sum_po_point'];

// 마일리지 UPDATE(회원 여분필드 7번사용)
$sql = " update {$g5['member_table']} set mb_7 = '$sum_point' where mb_id = '{$mb['mb_id']}' ";
sql_query($sql);

goto_url("./point.list.php?$qstr");
?>
